import { Component, OnInit } from '@angular/core';
import {AlarmService} from '../alarm.service';
import {NzMessageService, NzModalService} from 'ng-zorro-antd';

@Component({
  selector: 'smart-send-set',
  templateUrl: './send-set.component.html',
  styles: []
})
export class SendSetComponent implements OnInit {

  sendList = [];
  constructor(private alarmSer:AlarmService,private modalSer:NzModalService,
              private message:NzMessageService) { }

  ngOnInit() {
    this.getList();
  }

  getList(){
    this.alarmSer.mediaTypeFind({}).subscribe(
        (res)=>{
          if(res.errCode == 10000){
            this.sendList = res.data;
          }
        }
    )
  }

  //删除发送方式
  deleteSend(data){
    this.modalSer.confirm({
            nzTitle: '删除',
            nzContent: '<b style="color: red;">确认删除该发送方式吗？</b>',
            nzOkText: '确定',
            nzOkType: 'danger',
            nzOnOk: () => {
                const arr = {
                  ids:[]
                };
                arr.ids.push(data.mediatypeid);
                this.alarmSer.mediaTypeDelete(arr).subscribe(
                    (res) => {
                        if (res.errCode == 10000) {
                            this.message.info('删除成功');
                        } else {
                            this.message.info(res.errMsg);
                        }
                    }
                );
            },
            nzCancelText: '取消',
            nzOnCancel: () => console.log('Cancel')
        }
    )
  }

  //编辑
    editSend(){

    }
}
